# Class Point2D

java.lang.Object
com.codename1.ui.geom.Point2D

public class Point2D extends Object
Utility class that holds x,y

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Point2D(double x, double y)`
  Constructor with x and y

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getX()`
  Gets the x value of this Point
  `double`
  `getY()`
  Gets the y value of this Point
  `void`
  `setX(double x)`
  Sets the x value of this Point
  `void`
  `setY(double y)`
  Sets the y value of this Point
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Point2D

    public Point2D(double x, double y)

    Constructor with x and y

    ###### Parameters

    - `x`

    - `y`

- ## Method Details

  - ### getX

    public double getX()
    Gets the x value of this Point

  - ### setX

    public void setX(double x)

    Sets the x value of this Point

    ###### Parameters

    - `x`

  - ### getY

    public double getY()
    Gets the y value of this Point

  - ### setY

    public void setY(double y)

    Sets the y value of this Point

    ###### Parameters

    - `y`

  - ### toString

    public String toString()
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`